var Psyke = function(){
    PartBase.call(this);
    this.setEdgeDetection();
    this.setBloom(4);

    this.texture1 = TDEMO.TEXTURES.getTextures().kalat_sininen;
    //this.texture1 = TDEMO.TEXTURES.getTextures().kalat_vihrea;
    this.texture2 = TDEMO.TEXTURES.getTextures().kalat_lila; //vihrea
    var material = new THREE.MeshBasicMaterial({map: this.texture1, side: THREE.BackSide});
    var geometry = new THREE.SphereGeometry(200, 32, 32);
    this.sphere1 = new THREE.Mesh(geometry, material);
    this.sphere1.rotation.x = -Math.PI/2;

    var material2 = new THREE.MeshBasicMaterial({map: this.texture2, side: THREE.DoubleSide});
    var geometry2 = new THREE.SphereGeometry(60, 32, 32);
    this.sphere2 = new THREE.Mesh(geometry2, material2);
    this.sphere2.rotation.x = -Math.PI/2;

    this.scene.add(this.sphere1);
    this.scene.add(this.sphere2);
};


Psyke.prototype = PartBase.prototype.inheritance();

Psyke.prototype.animate = function(elapsedTime, delta){
    PartBase.prototype.animate.call(this, elapsedTime, delta, true);
    var hb = TDEMO.SYNC.getHeartBeat();
    this.texture1.offset.y = hb*1.2;
    this.texture1.needsUpdate = true;
    this.texture2.offset.y = hb;
    this.texture2.needsUpdate = true;
};
